package com.zd.system.api.laboratory.domain;

import cn.hutool.json.JSONString;

/**
 * @Author: zhoupan
 * @Date: 2021/09/27/16:09
 * @Description:
 */
public class Control {

    /**
     * 命令
     */
    String command;

    /**
     * 设备编号
     */
    String num;

    /**
     * 参数
     */
    Object param;


    public static enum SwitchEnums{
        /**
         * 不在线
         */
        NO_ONLINE,
        ON,
        OFF;

        SwitchEnums() {
        }
    }

    public static enum CommTypeEnums {
        /**
         * 继电器
         */
        Relay,
        /**
         * 自身
         */
        SELF,
        /**
         * 其他
         */
        OTHER,
    }


    public String getCommand() {
        return command;
    }

    public void setCommand(String command) {
        this.command = command;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public Object getParam() {
        return param;
    }

    public void setParam(Object param) {
        this.param = param;
    }
}
